package sae;

import com.google.inject.Inject;

public class SessionManager {

    private IAccessChecker access;

    @Inject
    public SessionManager(IAccessChecker access) {
        this.access = access;
    }

    public Session createSession(User user, String accessedPath) throws InsufficientRightsException {
        if (access.mayAccess(user, accessedPath)) {
            return new Session(user);
        } else {
            throw new InsufficientRightsException(user, accessedPath);
        }
    }
}
